### Parameters

`Key : sig ... end with type t := key`

### Signature

`type 'a t`````
`include sig ... end`
`val bin_t : 'a Bin_prot.Type_class.t ‑> 'a t Bin_prot.Type_class.t`
`val bin_read_t : 'a Bin_prot.Read.reader ‑> 'a t Bin_prot.Read.reader`
`val __bin_read_t__ : 'a Bin_prot.Read.reader ‑> (Core_kernel__.Import.int ‑> 'a t) Bin_prot.Read.reader`
`val bin_reader_t : 'a Bin_prot.Type_class.reader ‑> 'a t Bin_prot.Type_class.reader`
`val bin_size_t : 'a Bin_prot.Size.sizer ‑> 'a t Bin_prot.Size.sizer`
`val bin_write_t : 'a Bin_prot.Write.writer ‑> 'a t Bin_prot.Write.writer`
`val bin_writer_t : 'a Bin_prot.Type_class.writer ‑> 'a t Bin_prot.Type_class.writer`
`val bin_shape_t : Bin_prot.Shape.t ‑> Bin_prot.Shape.t`